unit bson;

interface

type
TBson = object
  procedure Init;
  procedure Reinit;
  destructor Done;
  function Ap(const Name: AnsiString; const Value: AnsiString): TBson; overload;
  function Ap(const Name: AnsiString; const Value: LongInt): TBson; overload;
  function Ap(const Name: AnsiString; const Value: Single): TBson; overload;
  function Ok: TBson;
end;

function Bson: TBson;

implementation

procedure TBson.Init;
begin
end;

procedure TBson.Reinit;
begin
end;

destructor TBson.Done;
begin
end;

function TBson.Ap(const Name: AnsiString; const Value: AnsiString): TBson;
begin
  Result := Self;
end;

function TBson.Ap(const Name: AnsiString; const Value: LongInt): TBson;
begin
  Result := Self;
end;

function TBson.Ap(const Name: AnsiString; const Value: Single): TBson;
begin
  Result := Self;
end;

function TBson.Ok: TBson;
begin
  Result := Self;
end;

function Bson: TBson;
begin
  Result.Init;
end;

end.
